package com.dsic.gj_erp.mapper;

import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface KbanMapper {

    BigDecimal 根据日期范围获取完成重量(String from,String to);

    //按日或月统计作业计划完成量
    List<Map<String, Object>> 作业计划完成量(Map<String, Object> map);

    List<Map<String, Object>> getProjects();

    //线表重量
    List<Double> getEveryMonXbzlByNf(String nf,Integer version);

    //作业计划完成重量
    List<Map<String,Object>> getEveryCompZlByNf(String from, String to);

    List<Map<String,String>> getEveryKw(String from, String to);

    List<DmYdjh> getZjjhByUserCode(String userCode,String from, String to);

    List<Map<String,Object>> getSb(String day);

    List<DmYdjh> getZyjhDetailBySbCode(String code);

    List<Map<String,Object>> getJhgz(String from, String to);

    List<Map<String,Object>> getZyjhtj(String from, String to,String zyq);

    List<Map<String,Object>> zxqZxDetail(String today);

    List<Map<String,Object>> getZxqwcqk();

    String qfxq(String from, String to);

    List<Map<String, Object>> qfxqDetail(String from, String to);
    List<Map<String, Object>> qfxqDetail1(String from, String to);

    List<Map<String, Object>> qfxqWcqk(String from, String to);

    Map<String, Object> zyjh(String from, String to);

    List<Map<String, Object>> zyjhzx(String from, String to);

    Map<String, Object> todayZyjhzx(String from, String to);

    List<Map<String, Object>> xbgtt(String nf,Integer version);

    List<Map<String, Object>> zrcpcsl(String from, String to);

    Integer tzsl(String from, String to);
    
    Integer ltsl(String from, String to);
    
    BigDecimal xqzl(String from, String to);
    
    BigDecimal dhzl(String from, String to);
    
    BigDecimal jhzl(String from, String to);
    
    BigDecimal wczl(String from, String to);
}
