package com.dsic.gj_erp.jszb.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * T型材重量
 */
@Getter
@Setter
public class TechnicalPreparation {
    @ExcelProperty("船名")
    private String shipName;
    @ExcelProperty("段号")
    private String sectionNumber;
    @ExcelProperty("零件号")
    private String partNumber;
    @ExcelProperty("材质")
    private String material;
    @ExcelProperty("规格")
    private String specification;
    @ExcelProperty("工序")
    private String process;
    @ExcelProperty("左")
    private Integer left;
    @ExcelProperty("中")
    private Integer center;
    @ExcelProperty("右")
    private Integer right;
    @ExcelProperty("重量")
    private Double weight;
    @ExcelProperty("数量")
    private Integer quantity;
    @ExcelProperty("总重量")
    private Double totalWeight;
    @ExcelProperty("长度")
    private Double length;
    @ExcelProperty("宽度")
    private Double width;
    @ExcelProperty("大/小/中组")
    private String group;
    @ExcelProperty("曲型")
    private String curveType;
}
